Package Details: ethminer 0.19.0-1

Git Clone URL: https://aur.archlinux.org/ethminer.git (read-only, click to copy)
Package Base: ethminer
Description: Ethereum miner with OpenCL and stratum support (built without CUDA).
Upstream URL: https://github.com/ethereum-mining/ethminer
Licenses: MIT
Conflicts: ethminer-git
Submitter: 5chdn
Maintainer: mrxx
Last Packager: mrxx
Votes: 16
Popularity: 0.39
First Submitted: 2017-08-31 08:15
Last Updated: 2020-08-05 22:58

Pinned Comments

mrxx commented on 2018-12-04 22:28

This package builds without CUDA support which saves approx. 1.4GB compared to 'ethminer-cuda'.

Latest Comments

1 2 Next › Last »

ksz commented on 2021-05-18 14:56

The boost download url has been changed, see https://www.boost.org/users/news/boost_has_moved_downloads_to_jfr.html

New url is https://boostorg.jfrog.io/artifactory/main/release/*.

I have downloaded the 1.66 release manually and put it in /home/name/.hunter/_Base/Download/Boost/1.66.0/075d0b4/ ,build now works.

joshm commented on 2021-05-16 00:25

Getting a 403 from a BinTray dep during install:

error: downloading 'https://dl.bintray.com/boostorg/release/1.66.0/source/boost_1_66_0.7z' failed

faustian commented on 2021-03-27 21:17

"bash: -P: command not found" after running the default -P command. Any ideas? Thanks.

PoorChoices commented on 2021-01-01 23:05

AMD users, you may need to add -DUSE_SYS_OPENCL=ON to cmake and install opencl-amd. For me, this removed the CL compile error on launch and the "gave incorrect result. Lower overclocking.." message. I also needed to specify --cl-devices in my launch parameters. I seem to have 2 CL devices per video card. I think this is from opencl-amd. The SECOND duplicate seems to be the one I need to use. Hope this helps someone.

Also the boost lib fix seems totally unnecessary now. I can build and run without it.

mrxx commented on 2018-12-04 22:28

This package builds without CUDA support which saves approx. 1.4GB compared to 'ethminer-cuda'.

mrxx commented on 2018-12-04 22:23

Adopted, updated to v0.16.1.

aimileus commented on 2018-03-23 16:25

@sarvex, it does that because that is the configuration supported by upstream, to prevent new bugs introduced by 'incorrect' versions of the dependencies.

sarvex commented on 2018-03-23 08:45

The package does not depend on host libraries, it downloads boost and others again, even when the packages are already present on the system

aimileus commented on 2018-02-27 10:51

WARNING: this package now builds WITHOUT cuda support. To avoid errors like codemonkey's, I've decided to split this package up into ethminer, and ethminer-cuda. If someone wants to build with cuda support, he/she can install ethminer-cuda and makepkg will take care of the dependencies.

codemonkey commented on 2018-02-25 14:02

EDIT: I installed cuda AFTER running makepkg, my issue below is incorrect.

For some reason this did not build with CUDA support for me, despite having a CUDA compatible card and cuda installed.

Manually compiling source with -DETHASHCUDA=ON did work, and nvcc does exist, so -f '/opt/cuda/bin/nvcc' should evaluate to true, but does not?